ST_PatchN
Prev | 8.4. Geometry Accessors | Next

## Name

ST_PatchN — Returns the Nth geometry (face) of a PolyhedralSurface.

## Synopsis

`geometry ST_PatchN(`geometry geomA, integer n`)`;

## Description

Returns the 1-based Nth geometry (face) if the geometry is a POLYHEDRALSURFACE or POLYHEDRALSURFACEM. Otherwise, returns NULL. This returns the same answer as ST_GeometryN for PolyhedralSurfaces. Using ST_GeometryN is faster.

Index is 1-based.

If you want to extract all elements of a geometry ST_Dump is more efficient.

Availability: 2.0.0

This method implements the SQL/MM specification. SQL-MM ISO/IEC 13249-3: 8.5

This function supports 3d and will not drop the z-index.

This function supports Polyhedral surfaces.

## Examples

    --Extract the 2nd face of the polyhedral surface
    SELECT ST_AsEWKT(ST_PatchN(geom, 2)) As geomewkt
    FROM (
    VALUES (ST_GeomFromEWKT('POLYHEDRALSURFACE( ((0 0 0, 0 0 1, 0 1 1, 0 1 0, 0 0 0)),
    	((0 0 0, 0 1 0, 1 1 0, 1 0 0, 0 0 0)), ((0 0 0, 1 0 0, 1 0 1, 0 0 1, 0 0 0)),
    	((1 1 0, 1 1 1, 1 0 1, 1 0 0, 1 1 0)),
    	((0 1 0, 0 1 1, 1 1 1, 1 1 0, 0 1 0)), ((0 0 1, 1 0 1, 1 1 1, 0 1 1, 0 0 1)) )')) ) As foo(geom);

                  geomewkt
    ---+-----------------------------------------
     POLYGON((0 0 0,0 1 0,1 1 0,1 0 0,0 0 0))

## See Also

ST_AsEWKT, ST_GeomFromEWKT, ST_Dump, ST_GeometryN, ST_NumGeometries

Prev | Up | Next
ST_NumPoints | Home | ST_PointN